/*
 * Class DYNAMIC_CHAIN [INTEGER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_601 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_601 [] = {0xFF01,237,600,176,0xFFFF};
static const EIF_TYPE_INDEX egt_2_601 [] = {0xFF01,600,176,0xFFFF};
static const EIF_TYPE_INDEX egt_3_601 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_601 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_601 [] = {0xFF01,600,176,0xFFFF};
static const EIF_TYPE_INDEX egt_6_601 [] = {0xFF01,600,176,0xFFFF};
static const EIF_TYPE_INDEX egt_7_601 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_601 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_601 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_601 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_601 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_601 [] = {600,176,0xFFFF};
static const EIF_TYPE_INDEX egt_13_601 [] = {0xFF01,600,176,0xFFFF};
static const EIF_TYPE_INDEX egt_14_601 [] = {0xFF01,584,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_601 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_601 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_601 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_601 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_601 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_601 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_601 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_601 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_601 [] = {0xFF01,576,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_601 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_601 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_601 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_601 [] = {0xFF01,600,176,0xFFFF};
static const EIF_TYPE_INDEX egt_28_601 [] = {0xFF01,600,176,0xFFFF};
static const EIF_TYPE_INDEX egt_29_601 [] = {0xFF01,141,0xFFFF};


static const struct desc_info desc_601[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_601), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_601), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_601), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_601), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_601), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_601), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_601), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_601), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_601), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_601), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_601), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_601), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_601), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_601), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4408, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2035, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1890, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1891, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1892, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1893, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1894, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_601), 2388, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_601), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_601), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2568, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2569, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2003, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4404, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4409, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2483, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4412, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_601), 2381, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2382, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4415, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_601), 4410, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_601), 4413, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4418, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_601), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4397, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4414, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2384, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2385, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2386, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2387, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_601), 4410, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_601), 4411, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4418, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4400, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4400, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4595, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4596, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1947, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2565, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4402, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4597, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4599, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_601), 3376, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_601), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2379, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2563, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4401, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_601), 4406, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_601), 4407, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4416, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4417, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4419, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4420, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4398, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4399, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4403, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_601), 4600, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2378, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2377, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2380, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2380, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4412, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_601), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_601), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init601(void)
{
	IDSC(desc_601, 0, 600);
	IDSC(desc_601 + 1, 1, 600);
	IDSC(desc_601 + 32, 77, 600);
	IDSC(desc_601 + 41, 243, 600);
	IDSC(desc_601 + 47, 155, 600);
	IDSC(desc_601 + 56, 256, 600);
	IDSC(desc_601 + 59, 30, 600);
	IDSC(desc_601 + 66, 187, 600);
	IDSC(desc_601 + 72, 282, 600);
	IDSC(desc_601 + 81, 99, 600);
	IDSC(desc_601 + 83, 294, 600);
	IDSC(desc_601 + 86, 237, 600);
	IDSC(desc_601 + 88, 329, 600);
	IDSC(desc_601 + 102, 229, 600);
	IDSC(desc_601 + 103, 96, 600);
	IDSC(desc_601 + 111, 184, 600);
	IDSC(desc_601 + 114, 50, 600);
	IDSC(desc_601 + 115, 35, 600);
	IDSC(desc_601 + 116, 172, 600);
}


#ifdef __cplusplus
}
#endif
